INTERFACE
 subroutine hlcondcv (&
 & kcall, khor, klev,&
 & kstart, kstop, kstep,&
 & pdtime, pconacc, pdtheta,&
 & pu, pv, pt,&
 & pq, pcw, pcice,&
 & pqampli, ptke,&
 & ptotcov, pahyb, pbhyb,&
 & ppf, pdpf, pdqdtin,&
 & klabcv, klabc, klab,&
 & kindic,&
 & pzpsp, pzldcp, pztc,&
 & pztcdif, pzqc, pzqcdif,&
 & pzqp, pztp, pzcwp,&
 & pzcicep, pzwt, pzedep,&
 & pzqsat, pzqsatc, pzdqsdt,&
 & pzrhu, pzqmax, pzqliq,&
 & pzqac, pzbfrac, pzdift,&
 & pzdifq, pzscdif, pzdifs,&
 & pzbu, pzbuca, pzdpcld,&
 & pzdptot, pzgpot, pzdptop,&
 & pzcptop, pzcpcld, pzten,&
 & pztentop, pztencld, pzqen,&
 & pzqentop, pzqencld, pzqcen,&
 & pzqcetop, pzqcecld, pzimfac,&
 & pztet, pzcoefh,&
 & pdifcq, pdifcql, pdifcqn,&
 & pdifcs, pfccql, pfccqn ) 
use parkind1 ,only : jpim, jprb
integer(kind=jpim), intent(in) :: kcall
integer(kind=jpim), intent(in) :: khor
integer(kind=jpim), intent(in) :: klev
integer(kind=jpim), intent(in) :: kstart
integer(kind=jpim), intent(in) :: kstop
integer(kind=jpim), intent(in) :: kstep
real(kind=jprb) , intent(in) :: pdtime
real(kind=jprb) , intent(in) :: pconacc
real(kind=jprb) , intent(in) :: pdtheta
real(kind=jprb) , intent(in) :: pahyb(khor,klev+1)
real(kind=jprb) , intent(in) :: pbhyb(khor,klev+1)
real(kind=jprb) , intent(in) :: pt(khor,klev)
real(kind=jprb) , intent(in) :: pq(khor,klev)
real(kind=jprb) , intent(in) :: pdqdtin(khor,klev)
real(kind=jprb) , intent(in) :: pcw(khor,klev)
real(kind=jprb) , intent(in) :: pcice(khor,klev)
real(kind=jprb) , intent(in) :: ppf(khor,klev)
real(kind=jprb) , intent(in) :: pdpf(khor,klev)
real(kind=jprb) , intent(in) :: pu(khor,klev)
real(kind=jprb) , intent(in) :: pv(khor,klev)
real(kind=jprb) , intent(inout) :: pqampli(khor,klev)
real(kind=jprb) , intent(inout) :: ptke(khor,klev)
real(kind=jprb) , intent(inout) :: ptotcov(khor,klev)
integer(kind=jpim), intent(inout) :: klabcv(khor,klev)
integer(kind=jpim), intent(inout) :: klabc(khor,klev)
integer(kind=jpim), intent(inout) :: klab(khor,klev)
integer(kind=jpim), intent(inout) :: kindic(khor)
real(kind=jprb) , intent(in) :: pzpsp(khor)
real(kind=jprb) , intent(inout) :: pzldcp(khor,klev)
real(kind=jprb) , intent(inout) :: pztc(khor,klev)
real(kind=jprb) , intent(inout) :: pztcdif(khor,klev)
real(kind=jprb) , intent(inout) :: pzqc(khor,klev)
real(kind=jprb) , intent(inout) :: pzqcdif(khor,klev)
real(kind=jprb) , intent(inout) :: pzqp(khor,klev)
real(kind=jprb) , intent(inout) :: pztp(khor,klev)
real(kind=jprb) , intent(inout) :: pzcwp(khor,klev)
real(kind=jprb) , intent(inout) :: pzcicep(khor,klev)
real(kind=jprb) , intent(inout) :: pzwt(khor,klev)
real(kind=jprb) , intent(inout) :: pzqsat(khor,klev)
real(kind=jprb) , intent(inout) :: pzqsatc(khor)
real(kind=jprb) , intent(inout) :: pzdqsdt(khor)
real(kind=jprb) , intent(inout) :: pzrhu(khor,klev)
real(kind=jprb) , intent(inout) :: pzqmax(khor)
real(kind=jprb) , intent(inout) :: pzqliq(khor,klev)
real(kind=jprb) , intent(inout) :: pzqac(khor,klev)
real(kind=jprb) , intent(inout) :: pzbfrac(khor,klev)
real(kind=jprb) , intent(inout) :: pzdift(khor,klev)
real(kind=jprb) , intent(inout) :: pzdifq(khor,klev)
real(kind=jprb) , intent(inout) :: pzscdif(khor,klev)
real(kind=jprb) , intent(inout) :: pzdifs(khor,klev)
real(kind=jprb) , intent(inout) :: pzbu(khor,klev)
real(kind=jprb) , intent(inout) :: pzbuca(khor,klev)
real(kind=jprb) , intent(inout) :: pzdpcld(khor,klev)
real(kind=jprb) , intent(inout) :: pzdptot(khor,klev)
real(kind=jprb) , intent(inout) :: pzgpot(khor,klev)
real(kind=jprb) , intent(inout) :: pzdptop(khor,klev)
real(kind=jprb) , intent(inout) :: pzcptop(khor,klev)
real(kind=jprb) , intent(inout) :: pzcpcld(khor,klev)
real(kind=jprb) , intent(inout) :: pzten(khor,klev)
real(kind=jprb) , intent(inout) :: pztentop(khor,klev)
real(kind=jprb) , intent(inout) :: pztencld(khor,klev)
real(kind=jprb) , intent(inout) :: pzqen(khor,klev)
real(kind=jprb) , intent(inout) :: pzqentop(khor,klev)
real(kind=jprb) , intent(inout) :: pzqencld(khor,klev)
real(kind=jprb) , intent(inout) :: pzqcen(khor,klev)
real(kind=jprb) , intent(inout) :: pzqcetop(khor,klev)
real(kind=jprb) , intent(inout) :: pzqcecld(khor,klev)
real(kind=jprb) , intent(inout) :: pzimfac(khor,klev)
real(kind=jprb) , intent(inout) :: pztet(khor,klev)
real(kind=jprb) , intent(inout) :: pzcoefh(khor,klev)
real(kind=jprb) , intent(inout) :: pzedep(khor)
real(kind=jprb) , intent(inout) :: pdifcs(khor, 0:klev)
real(kind=jprb) , intent(inout) :: pdifcq(khor, 0:klev)
real(kind=jprb) , intent(inout) :: pdifcql(khor,0:klev)
real(kind=jprb) , intent(inout) :: pdifcqn(khor,0:klev)
real(kind=jprb) , intent(inout) :: pfccql(khor, 0:klev)
real(kind=jprb) , intent(inout) :: pfccqn(khor, 0:klev)
end subroutine hlcondcv
END INTERFACE
